import { MediaPackageV2ClientConfiguration } from "./clientConfiguration";
/**
 * @public
 */
export interface RuntimeExtension {
    configureClient(clientConfiguration: MediaPackageV2ClientConfiguration): void;
}
/**
 * @public
 */
export interface RuntimeExtensionsConfig {
    extensions: RuntimeExtension[];
}
/**
 * @internal
 */
export declare const resolveRuntimeExtensions: (runtimeConfig: any, extensions: RuntimeExtension[]) => any;
